Loading...
Searching...
No Matches
juce::SpeakerMappings Struct Reference

## Detailed Description

Structure for VST speaker mappings.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/format_types/juce_VSTCommon.h

Inheritance diagram for juce::SpeakerMappings:

## Classes

struct | Mapping
| Structure describing a mapping. More...
class | VstSpeakerConfigurationHolder
| Class to hold a speaker configuration. More...

## Static Public Member Functions

static AudioChannelSet | vstArrangementTypeToChannelSet (int32 arr, int fallbackNumChannels)
static AudioChannelSet | vstArrangementTypeToChannelSet (const Vst2::VstSpeakerArrangement &arr)
static int32 | channelSetToVstArrangementType (AudioChannelSet channels)
static void | channelSetToVstArrangement (const AudioChannelSet &channels, Vst2::VstSpeakerArrangement &result)
static const Mapping * | getMappings () noexcept
static int32 | getSpeakerType (AudioChannelSet::ChannelType type) noexcept

## Member Functions

## vstArrangementTypeToChannelSet() [1/2]

AudioChannelSet juce::SpeakerMappings::vstArrangementTypeToChannelSet | ( | int32 | arr,
|  | int | fallbackNumChannels )

inline static

References juce::AudioChannelSet::addChannel(), juce::AudioChannelSet::AudioChannelSet(), juce::AudioChannelSet::create5point0(), juce::AudioChannelSet::create5point1(), juce::AudioChannelSet::create6point0(), juce::AudioChannelSet::create6point0Music(), juce::AudioChannelSet::create6point1(), juce::AudioChannelSet::create6point1Music(), juce::AudioChannelSet::create7point0(), juce::AudioChannelSet::create7point0SDDS(), juce::AudioChannelSet::create7point1(), juce::AudioChannelSet::create7point1SDDS(), juce::AudioChannelSet::createLCR(), juce::AudioChannelSet::createLCRS(), juce::AudioChannelSet::createLRS(), juce::AudioChannelSet::disabled(), juce::AudioChannelSet::discreteChannels(), getMappings(), juce::AudioChannelSet::mono(), juce::AudioChannelSet::quadraphonic(), juce::AudioChannelSet::stereo(), and juce::SpeakerMappings::Mapping::vst2.

Referenced by vstArrangementTypeToChannelSet().

## vstArrangementTypeToChannelSet() [2/2]

AudioChannelSet juce::SpeakerMappings::vstArrangementTypeToChannelSet | ( | const Vst2::VstSpeakerArrangement & | arr | ) |

inline static

References juce::AudioChannelSet::AudioChannelSet(), and vstArrangementTypeToChannelSet().

## channelSetToVstArrangementType()

int32 juce::SpeakerMappings::channelSetToVstArrangementType | ( | AudioChannelSet | channels | ) |

inline static

References juce::AudioChannelSet::AudioChannelSet(), juce::AudioChannelSet::create5point0(), juce::AudioChannelSet::create5point1(), juce::AudioChannelSet::create6point0(), juce::AudioChannelSet::create6point0Music(), juce::AudioChannelSet::create6point1(), juce::AudioChannelSet::create6point1Music(), juce::AudioChannelSet::create7point0(), juce::AudioChannelSet::create7point0SDDS(), juce::AudioChannelSet::create7point1(), juce::AudioChannelSet::create7point1SDDS(), juce::AudioChannelSet::createLCR(), juce::AudioChannelSet::createLCRS(), juce::AudioChannelSet::createLRS(), juce::AudioChannelSet::disabled(), getMappings(), juce::AudioChannelSet::mono(), juce::AudioChannelSet::quadraphonic(), juce::AudioChannelSet::stereo(), and juce::SpeakerMappings::Mapping::vst2.

Referenced by channelSetToVstArrangement(), and juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder().

## channelSetToVstArrangement()

void juce::SpeakerMappings::channelSetToVstArrangement | ( | const AudioChannelSet & | channels,
|  | Vst2::VstSpeakerArrangement & | result )

inline static

References juce::AudioChannelSet::AudioChannelSet(), channelSetToVstArrangementType(), getSpeakerType(), and juce::zeromem().

## getMappings()

const Mapping * juce::SpeakerMappings::getMappings | ( |  | ) |

inline static noexcept

References juce::AudioChannelSet::centre, juce::AudioChannelSet::left, juce::AudioChannelSet::leftCentre, juce::AudioChannelSet::leftSurround, juce::AudioChannelSet::leftSurroundRear, juce::AudioChannelSet::LFE, juce::AudioChannelSet::LFE2, juce::AudioChannelSet::right, juce::AudioChannelSet::rightCentre, juce::AudioChannelSet::rightSurround, juce::AudioChannelSet::rightSurroundRear, juce::AudioChannelSet::surround, juce::AudioChannelSet::topFrontCentre, juce::AudioChannelSet::topFrontLeft, juce::AudioChannelSet::topFrontRight, juce::AudioChannelSet::topRearLeft, juce::AudioChannelSet::topRearRight, and juce::AudioChannelSet::unknown.

Referenced by channelSetToVstArrangementType(), and vstArrangementTypeToChannelSet().

## getSpeakerType()

int32 juce::SpeakerMappings::getSpeakerType | ( | AudioChannelSet::ChannelType | type | ) |

inline static noexcept

References juce::AudioChannelSet::centre, juce::AudioChannelSet::left, juce::AudioChannelSet::leftCentre, juce::AudioChannelSet::leftSurround, juce::AudioChannelSet::leftSurroundRear, juce::AudioChannelSet::LFE, juce::AudioChannelSet::LFE2, juce::AudioChannelSet::right, juce::AudioChannelSet::rightCentre, juce::AudioChannelSet::rightSurround, juce::AudioChannelSet::rightSurroundRear, juce::AudioChannelSet::surround, juce::AudioChannelSet::topFrontCentre, juce::AudioChannelSet::topFrontLeft, juce::AudioChannelSet::topFrontRight, juce::AudioChannelSet::topMiddle, juce::AudioChannelSet::topRearCentre, juce::AudioChannelSet::topRearLeft, and juce::AudioChannelSet::topRearRight.

Referenced by channelSetToVstArrangement(), and juce::SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited